import React from 'react'

const TodoItem = ({ todos, editMode }) => {

  const className = `todos ${todos.isComplete ? 't-complete' : ''}`

  return (
    <div className="task">
      {todos.isEdit ?
        <input type='text' defaultValue={todos.text} onChange={editMode}></input> :
        <div>
          <input type='checkbox' defaultChecked={todos.isComplete}></input>
          <span className={className}>{todos.text}</span>
        </div>
      }
    </div >
  )
}

export default TodoItem

